Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.renderkit
Enum TreeNodeState

    java.lang.Object
      java.lang.Enum<TreeNodeState>
          org.richfaces.renderkit.TreeNodeState

All Implemented Interfaces:
  Serializable, Comparable<TreeNodeState>

    public enum TreeNodeState

extends Enum<TreeNodeState>

Enum Constant Summary
`collapsed`
`expanded`
`expandedNoChildren`
`leaf`

Method Summary
`String` | `getCustomIconClass()`
`String` | `getHandleClass()`
`String` | `getIconClass()`
`String` | `getNodeClass()`
`boolean` | `isDifferentThan(TreeNodeState anotherState)`
`abstract boolean` | `isLeaf()`
`static TreeNodeState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TreeNodeState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### expanded

    public static final TreeNodeState expanded

### expandedNoChildren

    public static final TreeNodeState expandedNoChildren

### collapsed

    public static final TreeNodeState collapsed

### leaf

    public static final TreeNodeState leaf

Method Detail

### values

    public static TreeNodeState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TreeNodeState c : TreeNodeState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TreeNodeState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isLeaf

    public abstract boolean isLeaf()

### isDifferentThan

    public boolean isDifferentThan(TreeNodeState anotherState)

### getNodeClass

    public String getNodeClass()

### getHandleClass

    public String getHandleClass()

### getIconClass

    public String getIconClass()

### getCustomIconClass

    public String getCustomIconClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.